.brandName {
  font-size: 18px;
  text-align: center;
  margin-bottom: 10px;
}



.cardTitle {
  background-color: var(--mainBlack);
  color: white;
  padding-top: 10px;
  padding-bottom: 10px;
  padding-left: 20px;
  margin-top: 20px;
  margin-bottom: 0;
}

.mat-toolbar {
  background-color: var(--mainBlack);
  color: white;
  padding-top: 10px;
  padding-bottom: 10px;
  padding-left: 20px;
  margin-top: 5px;
}

.saveChangesBtn {
  align-self: center;
  background-color: var(--mainBlack);
  color: white;
  width: 200px;
}

.declineRequest{
  background-color: firebrick;
  color: white;
  width: 200px;
  margin-right: 10px;
}

.acceptRequest {
  background-color: darkgreen;
  color: white;
  width: 200px;
}


.mat-raised-button:disabled{
  background-color: gray;
}

.mat-header-cell {
  font-size: 14px;
  justify-content: center;
  font-family: Comfortaa, "Helvetica Neue", sans-serif !important;
}

.cashback {
  background-color: white;
  border: 1px solid lightgray;
  font-family: Comfortaa, "Helvetica Neue", sans-serif !important;
  font-size: 12px;
  padding-top: 10px;
  text-align: center;

}

table{
  width: 100%;

  th, tr{
    padding-right: 10px;
  }

}

.mat-cell{
  justify-content: center;
}

.mat-table {
  margin-bottom: 20px;
}



.mat-column-greekPolicy, .mat-column-englishPolicy{
  padding-right: 20px;
}


//Standard
.mat-form-field {

  margin-top: 15px;
 // margin-left: 20px;


  .mat-input-element {
    color: var(--mainBlack);
  }

  .mat-form-field-label {
    color: var(--mainBlack);
  }

  .mat-form-field-underline {
    background-color: var(--mainBlack);
  }

  .mat-form-field-ripple {
    background-color: var(--mainBlack);
  }

  .mat-form-field-required-marker {
    color:var(--mainBlack);
  }
}

.mat-form-field-appearance-outline .mat-form-field-outline {
  color: var(--mainBlack);
}

//Focus
.mat-form-field.mat-focused {
  .mat-form-field-label {
    color: var(--mainBlack);
  }

  .mat-form-field-ripple {
    background-color: var(--mainBlack);
  }

  .mat-form-field-required-marker {
    color: #ff884d;
  }

  .mat-input-element {
    color: var(--mainBlack);
  }
}

.mat-form-field-appearance-outline.mat-focused .mat-form-field-outline-thick {
  color: var(--mainBlack) !important;
}

//Error
.mat-form-field.mat-form-field-invalid .mat-form-field-appearance-outline.mat-form-field-invalid {
  .mat-input-element {
    color: var(--mainBlack);
  }

  .mat-form-field-label {
    color: red;

    .mat-form-field-required-marker {
      color: red;
    }
  }

  .mat-form-field-ripple {
    background-color: red;
  }
}




::ng-deep .dx-menu-item-content span {
  margin-right: 5px !important;
}

::ng-deep .dx-submenu {
  padding: 5px!important;
  border-radius: 5px!important;
}

::ng-deep .dx-menu-item {
  margin: 5px!important;
}
